http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/Creates a slot in an intent. A slot is a variable needed to fulfill an intent. For example, an <code>OrderPizza</code> intent might need slots for size, crust, and number of pizzas. For each slot, you define one or more utterances that Amazon Lex uses to elicit a response from the user.
The identifier of the bot associated with the slot.
The version of the bot associated with the slot.
The identifier of the language and locale that the slot will be used in. The string must match one of the supported locales. All of the bots, intents, slot types used by the slot must have the same locale. For more information, see <a href="https://docs.aws.amazon.com/lexv2/latest/dg/how-languages.html">Supported languages</a>.
The identifier of the intent that contains the slot.
The name of the slot. Slot names must be unique within the bot that contains the slot.
The unique identifier for the slot type associated with this slot. The slot type determines the values that can be entered into the slot.
A description of the slot. Use this to help identify the slot in lists.
Specifications for the constituent sub slots and the expression for the composite slot.
Determines whether Amazon Lex obscures slot values in conversation logs.
Indicates whether a slot can return multiple values.
Specifies the elicitation setting details for constituent sub slots of a composite slot.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/Creates a slot in an intent. A slot is a variable needed to fulfill an intent. For example, an <code>OrderPizza</code> intent might need slots for size, crust, and number of pizzas. For each slot, you define one or more utterances that Amazon Lex uses to elicit a response from the user.
The identifier of the bot associated with the slot.
The version of the bot associated with the slot.
The identifier of the language and locale that the slot will be used in. The string must match one of the supported locales. All of the bots, intents, slot types used by the slot must have the same locale. For more information, see <a href="https://docs.aws.amazon.com/lexv2/latest/dg/how-languages.html">Supported languages</a>.
The identifier of the intent that contains the slot.
The name of the slot. Slot names must be unique within the bot that contains the slot.
The unique identifier for the slot type associated with this slot. The slot type determines the values that can be entered into the slot.
A description of the slot. Use this to help identify the slot in lists.
Specifications for the constituent sub slots and the expression for the composite slot.
Determines whether Amazon Lex obscures slot values in conversation logs.
Indicates whether a slot can return multiple values.
Specifies the elicitation setting details for constituent sub slots of a composite slot.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}